### Class

# Gimp PDB

unstable since: 3.0

#### Description [src]

    class Gimp.PDB : GObject.Object
    {
      priv: GimpPDBPrivate*
    }

Provides access to the Procedural DataBase (PDB).

Available since: 3.0

#### Ancestors

- GObject

#### Instance methods

###### gimp_pdb_dump_to_file

Dumps the current contents of the procedural database.

unstable since: 3.0

###### gimp_pdb_get_last_error

Retrieves the error message from the last procedure call.

unstable since: 3.0

###### gimp_pdb_get_last_status

Retrieves the status from the last procedure call.

unstable since: 3.0

###### gimp_pdb_lookup_procedure

This function returns the `GimpProcedure` which is registered with `procedure_name` if it exists, or returns `NULL` otherwise.

unstable since: 3.0

###### gimp_pdb_procedure_exists

This function checks if a procedure exists in the procedural database.

unstable since: 3.0

###### gimp_pdb_query_procedures

Queries the procedural database for its contents using regular expression matching.

unstable since: 3.0

###### gimp_pdb_temp_procedure_name

Generates a unique temporary PDB name.

unstable since: 3.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct GimpPDBClass {
      GObjectClass parent_class;
      void (* _gimp_reserved1) (
    void
      );
      void (* _gimp_reserved2) (
    void
      );
      void (* _gimp_reserved3) (
    void
      );
      void (* _gimp_reserved4) (
    void
      );
      void (* _gimp_reserved5) (
    void
      );
      void (* _gimp_reserved6) (
    void
      );
      void (* _gimp_reserved7) (
    void
      );
      void (* _gimp_reserved8) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.
`_gimp_reserved1: void (* _gimp_reserved1) ( void )`
  No description available.
`_gimp_reserved2: void (* _gimp_reserved2) ( void )`
  No description available.
`_gimp_reserved3: void (* _gimp_reserved3) ( void )`
  No description available.
`_gimp_reserved4: void (* _gimp_reserved4) ( void )`
  No description available.
`_gimp_reserved5: void (* _gimp_reserved5) ( void )`
  No description available.
`_gimp_reserved6: void (* _gimp_reserved6) ( void )`
  No description available.
`_gimp_reserved7: void (* _gimp_reserved7) ( void )`
  No description available.
`_gimp_reserved8: void (* _gimp_reserved8) ( void )`
  No description available.